List a user's Delta V2 orders (paginated)
curl --request GET \
--url https://api.velora.xyz/v2/delta/orders{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input": {
"chainId": 123,
"token": "<string>",
"amount": "<string>",
"expectedAmount": "<string>",
"executedAmount": "<string>"
},
"output": {
"chainId": 123,
"token": "<string>",
"amount": "<string>",
"expectedAmount": "<string>",
"executedAmount": "<string>"
},
"owner": "<string>",
"beneficiary": "<string>",
"orderHash": "<string>",
"partner": "<string>",
"order": {},
"transactions": [
{
"originTx": "<string>",
"destinationTx": "<string>",
"filledPercent": 123,
"spentAmount": "<string>",
"receivedAmount": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"page": 123,
"limit": 123,
"hasMore": true
}Delta API
/v2/delta/orders
Paginated list of a user’s Delta V2 orders, filterable by chain, status, type, and on-chain order type.
GET
/
v2
/
delta
/
orders
List a user's Delta V2 orders (paginated)
curl --request GET \
--url https://api.velora.xyz/v2/delta/orders{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input": {
"chainId": 123,
"token": "<string>",
"amount": "<string>",
"expectedAmount": "<string>",
"executedAmount": "<string>"
},
"output": {
"chainId": 123,
"token": "<string>",
"amount": "<string>",
"expectedAmount": "<string>",
"executedAmount": "<string>"
},
"owner": "<string>",
"beneficiary": "<string>",
"orderHash": "<string>",
"partner": "<string>",
"order": {},
"transactions": [
{
"originTx": "<string>",
"destinationTx": "<string>",
"filledPercent": 123,
"spentAmount": "<string>",
"receivedAmount": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"page": 123,
"limit": 123,
"hasMore": true
}Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 1000Comma-separated chain IDs. Omit for all chains.
Available options:
MARKET, LIMIT Comma-separated OrderStatusV2 values.
Available options:
Order, ProductiveOrder, ExternalOrder, TWAPOrder, TWAPBuyOrder Last modified on June 11, 2026
Was this page helpful?
⌘I